cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Roles
List all available roles
API endpoint to list all available roles that can be assigned to users in Blink.
GET
/
tenant
/
roles
cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/tenant/roles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"tenant_id": "<string>",
"type": "<string>",
"updated_at": 123,
"updated_by": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Query Parameters
Was this page helpful?